1
\$\begingroup\$

I downloaded the latest version of Unity as you can see in the snap.

console after creating new project

I just created a new project and when I press the play button it shows compile error even if I have not created anything nor any script. I receive 4 blank errors in Unity and one non critical. I am not able to clear them except the non critical one.

\$\endgroup\$
  • \$\begingroup\$ researched in fourms but no success at all \$\endgroup\$ – jollysen Jul 31 '19 at 6:25
  • \$\begingroup\$ Looks like it's another bug in Unity. You can switch to an older version as a workaround \$\endgroup\$ – trollingchar Jul 31 '19 at 7:16
  • \$\begingroup\$ which version should i downgrade sir \$\endgroup\$ – jollysen Jul 31 '19 at 7:20
  • \$\begingroup\$ For me, 2018.2.7 works, but maybe any of 2018.3.x will work for you \$\endgroup\$ – trollingchar Jul 31 '19 at 7:23
  • \$\begingroup\$ do 18.27 work for you or should i download the 4 or 5 one \$\endgroup\$ – jollysen Jul 31 '19 at 7:27
0
\$\begingroup\$

This may sound simple, but have you restarted Unity? It could also be a package import issue. Especially with an empty project, try opening the Package Manager and reset to defaults.

| improve this answer | |
\$\endgroup\$
  • \$\begingroup\$ i did everything restarted ,reset defaults in the unity hub but o succes now i am downloading unity 2018 3.0 \$\endgroup\$ – jollysen Jul 31 '19 at 8:50
  • \$\begingroup\$ i that works i will tell hre \$\endgroup\$ – jollysen Jul 31 '19 at 8:50
  • \$\begingroup\$ where i found the reset to defaults option? \$\endgroup\$ – jollysen Jul 31 '19 at 8:54
0
\$\begingroup\$

This is usually caused by importing packages by unity. You can found Package inside project inspector.

enter image description here

this may be a little different for your project but solution to this is really simple, Open up package manager from Windows->Package manager. And remove the "unity collaborate" package if it didn't resolved the problem then remove the "Text mesh pro". this sort of problem is usually caused by these two packages. If the problem is not yet resolved them remove all the packages except "Package Manager UI". this resolve all the errors. If you need any of the package then you have to reinstall it.

enter image description here

I hope this will help.

| improve this answer | |
\$\endgroup\$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.